import br.com.softwareexpress.sitef.JCliSiTefI;
import java.io.*;

class ExemploCB
{
  public static void main (String[] args)
  {
    int status;
    JCliSiTefI clisitef = new JCliSiTefI ();
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    int proximoComando;

    if (args.length != 1)
    {
      System.out.println ("Forma de uso: java ExemploCB IP-SiTef");
      System.exit (1);
    }

    clisitef.setEnderecoSiTef (args[0]);
    clisitef.setCodigoLoja ("00000000");
    clisitef.setNumeroTerminal ("SE000001");
    status = clisitef.configuraIntSiTefInterativo ();
    if (status != 0)
    {
      System.out.println ("Erro na ConfiguraIntSiTefInterativo (" + args[0] + ")= " + status);
      System.exit (1);
    }

    clisitef.setCodigoEmBarras ("2379339513");
    status = clisitef.validaCampoCodigoEmBarras ( );
    System.out.println ("Retorno= " + status + ", TipoCodigoEmBarras = " + clisitef.getTipoCodigoEmBarras ());

    clisitef.setCodigoEmBarras ("237933951460094509893240");
    status = clisitef.validaCampoCodigoEmBarras ( );
    System.out.println ("Retorno= " + status + ", TipoCodigoEmBarras = " + clisitef.getTipoCodigoEmBarras ());

    clisitef.setCodigoEmBarras ("237933951460094509894240029250062");
    status = clisitef.validaCampoCodigoEmBarras ( );
    System.out.println ("Retorno= " + status + ", TipoCodigoEmBarras = " + clisitef.getTipoCodigoEmBarras ());

    clisitef.setCodigoEmBarras ("23793395146009450989424002925006222350000022025");
    status = clisitef.validaCampoCodigoEmBarras ( );
    System.out.println ("Retorno= " + status + ", TipoCodigoEmBarras = " + clisitef.getTipoCodigoEmBarras ());

    clisitef.setNumeroCuponFiscal ("123456");
    clisitef.setDataFiscal ("20040514");
    clisitef.setHorario ("120000");
    clisitef.setOperador ("Operador1");
    clisitef.setRestricoes ("xxxxxx");
    status = clisitef.correspondenteBancarioSiTefInterativo ();
    clisitef.setBuffer ("");
    clisitef.setContinuaNavegacao (0);
    while (true)
    {
      status = clisitef.continuaFuncaoSiTefInterativo ();
      if (status != 10000)
        break;

      //  Aqui deve-se colocar o tratamento de cada tipo de ProximoComando
      System.out.println ("ProximoComando = " + clisitef.getProximoComando ());
      System.out.println ("TipoCampo = " + clisitef.getTipoCampo ());
      System.out.println ("TamanhoMinimo = " + clisitef.getTamanhoMinimo ());
      System.out.println ("TamanhoMaximo = " + clisitef.getTamanhoMaximo ());
      System.out.println ("Buffer = " + clisitef.getBuffer ());

      proximoComando = clisitef.getProximoComando ();
      if (proximoComando >= 20 &&
          proximoComando != 23 && proximoComando != 22)
      {
        try {
          clisitef.setBuffer (in.readLine ());
        } catch (IOException e) {
        }
      }
    }

    if (status != 10000)
    {
      System.out.println ("ContinuaFuncaoSiTefInterativo retornou " + status);
      clisitef.setConfirma ((short)1);
      clisitef.finalizaTransacaoSiTefInterativo ();
    }
  }
}

