import br.com.softwareexpress.sitef.JCliSiTefI;
import java.io.*;

class ExemploDireto
{
  public static void main (String[] args)
  {
    int status;
    JCliSiTefI clisitef = new JCliSiTefI ();
    byte [ ] dadosTx;
    byte [ ] dadosRx;
    short codigoResposta;
    String cupomFiscal = "1122334455";
    String mensagem;

    if (args.length != 1)
    {
      System.out.println ("Forma de uso: java ExemploDireto IP-SiTef");
      System.exit (1);
    }

    clisitef.setEnderecoSiTef (args[0]);
    clisitef.setCodigoLoja ("00000000");
    clisitef.setNumeroTerminal ("SE000001");
    status = clisitef.configuraIntSiTefInterativo ();
    if (status != 0)
    {
      System.out.println ("Erro na ConfiguraIntSiTefInterativo (" + args[0] + ")= " + status);
      System.exit (1);
    }

    clisitef.setRedeDestino (33);
    clisitef.setFuncaoSiTef (240);
    clisitef.setOffsetCartao (0);
    mensagem = ("2\0" + "123456789012\0" + cupomFiscal + "\0" + "2\0" + "0001\0" + "3\0" + "0002\0" + "5\0");
    dadosTx = mensagem.getBytes ();
    clisitef.setDadosTx (dadosTx);
    clisitef.setTamDadosTx (dadosTx.length);
    clisitef.setTamMaxDadosRx (1024);
    clisitef.setTempoEsperaRx (30);
    clisitef.setNumeroCuponFiscal (cupomFiscal);
    clisitef.setDataFiscal ("20040514");
    clisitef.setHorario ("120000");
    clisitef.setOperador ("Operador1");
    clisitef.setTipoTransacao (1);
    status = clisitef.enviaRecebeSiTefDireto ();
    dadosRx = clisitef.getDadosRx ();
    if (status > 0)
    {
      System.out.println ("Tam Dados Rx= " + status);
      System.out.println ("Tam primeiro servico= " + dadosRx[0]);
    }

    codigoResposta = clisitef.getCodigoResposta ();
    System.out.println ("EnviaRecebeSiTefDireto retornou " + codigoResposta);
  }
}
